Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class Expressions.Exists<X>

    java.lang.Object
      org.apache.openjpa.persistence.criteria.SelectionImpl<X>
          org.apache.openjpa.persistence.criteria.ExpressionImpl<Boolean>
              org.apache.openjpa.persistence.criteria.PredicateImpl
                  org.apache.openjpa.persistence.criteria.Expressions.SubqueryPredicate<X>
                      org.apache.openjpa.persistence.criteria.Expressions.Exists<X>

All Implemented Interfaces:
  Expression<Boolean>, Predicate, Selection<Boolean>, TupleElement<Boolean>, CriteriaExpression

Enclosing class:
  Expressions

    public static class Expressions.Exists<X>

extends Expressions.SubqueryPredicate<X>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.persistence.criteria.PredicateImpl
`PredicateImpl.And, PredicateImpl.Or`

Nested classes/interfaces inherited from interface javax.persistence.criteria.Predicate
`Predicate.BooleanOperator`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.criteria.Expressions.SubqueryPredicate
`e`

Fields inherited from class org.apache.openjpa.persistence.criteria.PredicateImpl
`_exps`

Constructor Summary
`Expressions.Exists(Subquery<X> x)`

Method Summary
`StringBuilder` | `asValue(AliasContext q)` Get a string representation of this node as a value in the context of the given query.
`(package private) Expression` | `toKernelExpression(ExpressionFactory factory, CriteriaQueryImpl<?> q)` Bridge contract to convert this facade expression to a kernel expression.

Methods inherited from class org.apache.openjpa.persistence.criteria.Expressions.SubqueryPredicate
`acceptVisit`

Methods inherited from class org.apache.openjpa.persistence.criteria.PredicateImpl
`add, FALSE, getExpressions, getOperator, isEmpty, isNegated, markNegated, not, toValue, TRUE`

Methods inherited from class org.apache.openjpa.persistence.criteria.ExpressionImpl
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.apache.openjpa.persistence.criteria.SelectionImpl
`alias, asProjection, assertValidName, asVariable, getAlias, getCompoundSelectionItems, getJavaType, isAliased, isAutoAliased, isCompoundSelection, setAutoAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Constructor Detail

### Expressions.Exists

    public Expressions.Exists(Subquery<X> x)

Method Detail

### toKernelExpression

    Expression toKernelExpression(ExpressionFactory factory,
                                  CriteriaQueryImpl<?> q)

  Description copied from class: `ExpressionImpl`
  Bridge contract to convert this facade expression to a kernel expression.

  Overrides:
    `toKernelExpression` in class `PredicateImpl`
  Parameters:
    `factory` - creates the kernel expression
    `q` - the query definition context of this expression
  Returns:
    an equivalent kernel expression

### asValue

    public StringBuilder asValue(AliasContext q)

  Description copied from interface: `CriteriaExpression`
  Get a string representation of this node as a value in the context of the given query.

  Specified by:
    `asValue` in interface `CriteriaExpression`
  Overrides:
    `asValue` in class `PredicateImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.